INSERT INTO PDV_VD_CANCEL_TEF(
CD_EMP,
CD_FILIAL,
CD_VD,
DT_CAD,
CD_USU,
TIPO_CANCEL)
SELECT
 RC_CREDIARIO_PARC_PDV_VD.CD_EMP,
 RC_CREDIARIO_PARC_PDV_VD.CD_FILIAL,
 RC_CREDIARIO_PARC_PDV_VD.CD_VD,
 GETDATE(),
 1,
 0
FROM
	RC_CREDIARIO_PARC INNER JOIN RC_CREDIARIO_PARC_PDV_VD ON
	RC_CREDIARIO_PARC.CD_CTR = RC_CREDIARIO_PARC_PDV_VD.CD_CTR 
	LEFT OUTER JOIN PDV_VD_CANCEL_TEF ON
	RC_CREDIARIO_PARC_PDV_VD.CD_EMP = PDV_VD_CANCEL_TEF.CD_EMP AND
	RC_CREDIARIO_PARC_PDV_VD.CD_FILIAL = PDV_VD_CANCEL_TEF.CD_FILIAL AND
	RC_CREDIARIO_PARC_PDV_VD.CD_VD = PDV_VD_CANCEL_TEF.CD_VD 
WHERE
	STS_LANC_CRED=4
	AND PDV_VD_CANCEL_TEF.CD_VD IS NULL
